<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/variation';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    props: {
        product: {
            type: Object,
            required: true,
        },
    },
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'name',
            breadcrumbs: [
                {
                    label: this.__('Продукты'),
                    path: 'product/product',
                },
                {
                    label: this.__('Вариации продукта: :product', {
                        product: this.product.model_number,
                    }),
                    path: 'product/variation/' + this.product.id,
                },
            ],
            model: model,
            http: {
                path: 'product/variation/:id',
                query: {
                    'with[0]': 'options',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
